<?php
	$fileName = $_FILES["archivos"]["name"]; // The file name
	$fileTmpLoc = $_FILES["archivos"]["tmp_name"]; // File in the PHP tmp folder
	$fileType = $_FILES["archivos"]["type"]; // The type of file it is
	$fileSize = $_FILES["archivos"]["size"]; // File size in bytes
	$fileErrorMsg = $_FILES["archivos"]["error"]; // 0 for false... and 1 for true
	if (isset($_REQUEST['empresa'])){$empresa=$_REQUEST['empresa'];}else{$empresa="";}
	if (isset($_REQUEST['modulo'])){$modulo=$_REQUEST['modulo'];}else{$modulo="";}
	if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}
	if (isset($_REQUEST['ide'])){$ide=$_REQUEST['ide'];}else{$ide="";}
	$cDir="archivos/".$empresa;

	if(is_dir($cDir)){
	}else{
		mkdir($cDir,0777);
	}
	$cDir=$cDir."/".$modulo;
	if(is_dir($cDir)){
	}else{
		mkdir($cDir,0777);
	}
	
	if($tipo=="p" || $tipo=="d"){
		$cDir=$cDir."/".$ide;
		if(is_dir($cDir)){
		}else{
			mkdir($cDir,0777);
		}
	}else{
		//$id="";
	}
	if (isset($_REQUEST['tipo'])){$tipo=$_REQUEST['tipo'];}else{$tipo="";}

	//$ruta = "archivos/".$_POST['ruta']."/";

	$ruta = $cDir."/";
	if (!$fileTmpLoc) { // if file not chosen
    	echo "ERROR: Please browse for a file before clicking the upload button.";
    	exit();
	}
	if(move_uploaded_file($fileTmpLoc, $ruta."$fileName")){
   		echo "$fileName upload is complete";

	} else {
    	echo "move_uploaded_file function failed".$ruta;
	}
?>